Name: x11-driver-input-calcomp
Version: 1.1.2
Release: %mkrel 2
Summary: X.org input driver for Calcomp devices
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-input-calcomp-%{version}.tar.bz2

License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Conflicts: xorg-x11-server < 7.0

%description
Calcomp is an Xorg input driver for Calcomp devices.

%prep
%setup -q -n xf86-input-calcomp-%{version}

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/input/calcomp_drv.la
%{_libdir}/xorg/modules/input/calcomp_drv.so
%{_mandir}/man4/calcomp.4.*


%changelog
* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.1.2-2mdv2009.0
+ Revision: 265780
- rebuild early 2009.0 package (before pixel changes)

* Tue Apr 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.1.2-1mdv2009.0
+ Revision: 194374
- Update to version 1.1.2.

* Wed Jan 30 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.1.1-4mdv2008.1
+ Revision: 160474
- Revert to use only upstream tarballs and only mandatory patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.1.1-3mdv2008.1
+ Revision: 156568
- re-enable rpm debug packages support

* Mon Jan 21 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.1.1-2mdv2008.1
+ Revision: 155713
- Updated BuildRequires and resubmit package.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Hopefuly fix the mess. Using existing tag xf86-input-calcomp-1.1.1 for
  git-archive.
- Update from existing tag calcomp-1_1_0. Note that the changes are minimal,
  but the patches should help understanding the changes from 1.1.0 to 1.1.1.
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 11 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.1.1-1mdv2008.1
+ Revision: 97058
- new upstream version: 1.1.1

* Mon Jul 16 2007 Anssi Hannula <anssi@mandriva.org> 1.1.0-3mdv2008.0
+ Revision: 52362
- P0: fix build with recent x11-proto-devel, suggestion from
  http://lists.freedesktop.org/pipermail/xorg/2006-October/018846.html
  (fixes bug #31930)
- fix group
- remove now unneeded configure parameters


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Tue May 30 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-30 16:03:02 (31708)
- fill in summary & descriptions for all input drivers

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 19:59:30 (31594)
- Updated drivers for X11R7.1

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

